const observerOptions = {
  root: null,
  threshold: .1,

};


const observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
        console.log(entry)
        if (entry.isIntersecting) {
            entry.target.classList.add('show-region');
        } else {
            entry.target.classList.remove('show-region');
        }
    });
}, observerOptions);

 //select everything with the .hidden class
 const hiddenElements = document.querySelectorAll('.animate-region');

 //loop over elements
 hiddenElements.forEach((el) => observer.observe(el));